# Mooc Scikit-Learn Model

This repository is used to initialized learners environment by downloading notebooks and datasets from https://github.com/INRIA/scikit-learn-mooc. This is used to et a reset url and to filter out solution notebooks.

To manually update (using javascript console):

```js
const baseUrl = "https://github.com/INRIA/scikit-learn-mooc/raw/master/"
let datasets, notebooks;

fetch('https://api.github.com/repos/INRIA/scikit-learn-mooc/contents/datasets')
.then(function(response) {
    return response.json()
}).then(function(data) {
    datasets = data.map(item => item.path)
    return fetch('https://api.github.com/repos/INRIA/scikit-learn-mooc/contents/notebooks')
}).then(function(response) {
    return response.json()
}).then(function(data) {
    // Filter out solutions
    notebooks = data.map(item => item.path).filter(item => item.indexOf('sol') === -1)
    console.log(JSON.stringify({baseUrl, notebooks, datasets}, null, 2))
});
```
